Subject: Re: regression: UFO removal breaks kvm live migration

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 8 Nov 2017 18:01:22 +0200

On Wed, Nov 08, 2017 at 08:32:31PM +0900, David Miller wrote:
> From: Jason Wang <[email-masked]>
> Date: Wed, 8 Nov 2017 17:25:48 +0900
> 
> > On 2017年11月08日 17:08, Willem de Bruijn wrote:
> >> That won't help in the short term. I'm still reading up to see if
> >> there are
> >> any other options besides reimplement or advertise-but-drop, such as
> >> an implicit trigger that would make the guest renegotiate. It's
> >> unlikely, but
> >> worth a look..
> > 
> > Yes, this looks hard. And even if we can manage to do this, it looks
> > an overkill since it will impact all guest after migration.
> 
> Like Willem I would much prefer "advertise-but-drop" if it works.
> 
> In the long term feature renegotiation triggers are a must.
> 
> There is no way for us to remove features otherwise.

Isn't this like most userspace ABI issues? Once you add them it's very hard
to remove them, even with negotiation - too much userspace just does
if (ret)
	exit();

> In my opinion this will even make migrations more powerful.

I agree. Not sure how to avoid packet drops when doing this though.
And dropping a ton of TX packets isn't nice at all since
TX packets is what teaches the network about the new location
of the VM.

-- 
MST